Go to the latest version of this document.

# ``twisted`.`internet`.`_resolver`.`ComplexResolverSimplifier``

class documentation

`class ComplexResolverSimplifier: (source)`

Constructor: `ComplexResolverSimplifier(nameResolver)`

Implements interfaces: `twisted.internet.interfaces.IResolverSimple`

View In Hierarchy

A converter from `IHostnameResolver` to `IResolverSimple`

Method | `__init__` | Create a `ComplexResolverSimplifier` with an `IHostnameResolver`.
Method | `getHostByName` | See `IResolverSimple.getHostByName`
Instance Variable | `_nameResolver` | Undocumented

def __init__(self, nameResolver: `IHostnameResolver`): (source)

Create a `ComplexResolverSimplifier` with an `IHostnameResolver`.

Parameters
nameResolver:`IHostnameResolver` | The `IHostnameResolver` to use.

def getHostByName(self, name: `str`, timeouts: `Sequence[int]` = ()) -> `Deferred[str]`: (source)
from `twisted.internet.interfaces.IResolverSimple`

See `IResolverSimple.getHostByName`

Parameters
name:`str` | see `IResolverSimple.getHostByName`
timeouts:`Sequence[int]` | see `IResolverSimple.getHostByName`

Returns
`Deferred[str]` | see `IResolverSimple.getHostByName`

_nameResolver = (source)

Undocumented